> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flow

> Create a new flow in a workspace.

Create a new flow associated with a workspace.

<ParamField header="X-Api-Key" type="string" required>
  Your API key (prefixed with `wh_`).
</ParamField>

### Body

<ParamField body="name" type="string" required>
  The name of the flow.
</ParamField>

### Payload examples

<Tabs>
  <Tab title="Create flow">
    ```json theme={null}
    {
      "name": "My Flow"
    }
    ```
  </Tab>
</Tabs>

<RequestExample>
  ```bash theme={null}
  curl -X POST https://api.whatabot.app/api/v1/flows \
    -H "X-Api-Key: wh_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{"name": "My Flow"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  ```
</ResponseExample>
